
# Raptor constraints
# ad9361

set_property IOSTANDARD LVDS [get_ports rx_clk_in_p]
set_property DIFF_TERM_ADV TERM_100 [get_ports rx_clk_in_p]
set_property PACKAGE_PIN W6 [get_ports rx_clk_in_n]
set_property PACKAGE_PIN W7 [get_ports rx_clk_in_p]
set_property IOSTANDARD LVDS [get_ports rx_clk_in_n]
set_property DIFF_TERM_ADV TERM_100 [get_ports rx_clk_in_n]
set_property IOSTANDARD LVDS [get_ports rx_frame_in_p]
set_property DIFF_TERM_ADV TERM_100 [get_ports rx_frame_in_p]
set_property PACKAGE_PIN V7 [get_ports rx_frame_in_p]
set_property PACKAGE_PIN V6 [get_ports rx_frame_in_n]
set_property IOSTANDARD LVDS [get_ports rx_frame_in_n]
set_property DIFF_TERM_ADV TERM_100 [get_ports rx_frame_in_n]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_p[0]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_p[0]}]
set_property PACKAGE_PIN T1 [get_ports {rx_data_in_p[0]}]
set_property PACKAGE_PIN U1 [get_ports {rx_data_in_n[0]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_n[0]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_n[0]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_p[1]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_p[1]}]
set_property PACKAGE_PIN Y2 [get_ports {rx_data_in_p[1]}]
set_property PACKAGE_PIN Y1 [get_ports {rx_data_in_n[1]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_n[1]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_n[1]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_p[2]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_p[2]}]
set_property PACKAGE_PIN V2 [get_ports {rx_data_in_p[2]}]
set_property PACKAGE_PIN V1 [get_ports {rx_data_in_n[2]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_n[2]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_n[2]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_p[3]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_p[3]}]
set_property PACKAGE_PIN U2 [get_ports {rx_data_in_p[3]}]
set_property PACKAGE_PIN U3 [get_ports {rx_data_in_n[3]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_n[3]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_n[3]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_p[4]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_p[4]}]
set_property PACKAGE_PIN W2 [get_ports {rx_data_in_p[4]}]
set_property PACKAGE_PIN W1 [get_ports {rx_data_in_n[4]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_n[4]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_n[4]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_p[5]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_p[5]}]
set_property PACKAGE_PIN Y4 [get_ports {rx_data_in_p[5]}]
set_property PACKAGE_PIN Y3 [get_ports {rx_data_in_n[5]}]
set_property IOSTANDARD LVDS [get_ports {rx_data_in_n[5]}]
set_property DIFF_TERM_ADV TERM_100 [get_ports {rx_data_in_n[5]}]
set_property -dict {PACKAGE_PIN T11 IOSTANDARD LVDS} [get_ports tx_clk_out_p]
set_property -dict {PACKAGE_PIN U10 IOSTANDARD LVDS} [get_ports tx_clk_out_n]
set_property -dict {PACKAGE_PIN U9 IOSTANDARD LVDS} [get_ports tx_frame_out_p]
set_property -dict {PACKAGE_PIN V9 IOSTANDARD LVDS} [get_ports tx_frame_out_n]
set_property -dict {PACKAGE_PIN R10 IOSTANDARD LVDS} [get_ports {tx_data_out_p[0]}]
set_property -dict {PACKAGE_PIN T10 IOSTANDARD LVDS} [get_ports {tx_data_out_n[0]}]
set_property -dict {PACKAGE_PIN P11 IOSTANDARD LVDS} [get_ports {tx_data_out_p[1]}]
set_property -dict {PACKAGE_PIN P10 IOSTANDARD LVDS} [get_ports {tx_data_out_n[1]}]
set_property -dict {PACKAGE_PIN N12 IOSTANDARD LVDS} [get_ports {tx_data_out_p[2]}]
set_property -dict {PACKAGE_PIN M12 IOSTANDARD LVDS} [get_ports {tx_data_out_n[2]}]
set_property -dict {PACKAGE_PIN N10 IOSTANDARD LVDS} [get_ports {tx_data_out_p[3]}]
set_property -dict {PACKAGE_PIN M10 IOSTANDARD LVDS} [get_ports {tx_data_out_n[3]}]
set_property -dict {PACKAGE_PIN L12 IOSTANDARD LVDS} [get_ports {tx_data_out_p[4]}]
set_property -dict {PACKAGE_PIN L11 IOSTANDARD LVDS} [get_ports {tx_data_out_n[4]}]
set_property -dict {PACKAGE_PIN L10 IOSTANDARD LVDS} [get_ports {tx_data_out_p[5]}]
set_property -dict {PACKAGE_PIN K10 IOSTANDARD LVDS} [get_ports {tx_data_out_n[5]}]
set_property -dict {PACKAGE_PIN U4 IOSTANDARD LVCMOS18} [get_ports enable]
set_property -dict {PACKAGE_PIN V4 IOSTANDARD LVCMOS18} [get_ports txnrx]

set_property -dict {PACKAGE_PIN Y9 IOSTANDARD LVCMOS18} [get_ports {gpio_status[0]}]
set_property -dict {PACKAGE_PIN V8 IOSTANDARD LVCMOS18} [get_ports {gpio_status[1]}]
set_property -dict {PACKAGE_PIN Y8 IOSTANDARD LVCMOS18} [get_ports {gpio_status[2]}]
set_property -dict {PACKAGE_PIN U7 IOSTANDARD LVCMOS18} [get_ports {gpio_status[3]}]
set_property -dict {PACKAGE_PIN U6 IOSTANDARD LVCMOS18} [get_ports {gpio_status[4]}]
set_property -dict {PACKAGE_PIN U5 IOSTANDARD LVCMOS18} [get_ports {gpio_status[5]}]
set_property -dict {PACKAGE_PIN W5 IOSTANDARD LVCMOS18} [get_ports {gpio_status[6]}]
set_property -dict {PACKAGE_PIN Y5 IOSTANDARD LVCMOS18} [get_ports {gpio_status[7]}]
set_property -dict {PACKAGE_PIN U11 IOSTANDARD LVCMOS18} [get_ports {gpio_ctl[0]}]
set_property -dict {PACKAGE_PIN V11 IOSTANDARD LVCMOS18} [get_ports {gpio_ctl[1]}]
set_property -dict {PACKAGE_PIN W11 IOSTANDARD LVCMOS18} [get_ports {gpio_ctl[2]}]
set_property -dict {PACKAGE_PIN W10 IOSTANDARD LVCMOS18} [get_ports {gpio_ctl[3]}]
set_property -dict {PACKAGE_PIN W4 IOSTANDARD LVCMOS18} [get_ports gpio_en_agc]
set_property -dict {PACKAGE_PIN V3 IOSTANDARD LVCMOS18} [get_ports gpio_sync]
set_property -dict {PACKAGE_PIN N11 IOSTANDARD LVCMOS18} [get_ports gpio_resetb]
set_property -dict {PACKAGE_PIN AC7 IOSTANDARD LVDS} [get_ports gth_sysclkp_i]
set_property -dict {PACKAGE_PIN AD7 IOSTANDARD LVDS} [get_ports gth_sysclkn_i]
set_property PACKAGE_PIN F26 [get_ports gth_refclk0n_i]
set_property PACKAGE_PIN F25 [get_ports gth_refclk0p_i]
set_property PACKAGE_PIN D26 [get_ports gth_refclk1n_i]
set_property PACKAGE_PIN D25 [get_ports gth_refclk1p_i]

# clocks
create_clock -period 4.000 -name rx_clk [get_ports rx_clk_in_p]
